Ibook G4, iTunes, QuickTime 7.5.5 or later. iTunes won't work!!

I have an iBook G4 when i try and open iTunes it tells me that iTunes requires QuickTime 7.5.5 or later. I have QuickTime 7.3. I am running OS X 10.5.8. When I do a sotware update, it doesn't update QuickTime. If I try and download QuickTime it tells me that OS X has QuickTime in it and to do a software update in order to update QuickTime. I'm in that fun endless loop. What do I do?

Has invited:

howapple - hello

Favor from:

Hi, and welcome to Apple Support Communities.

How did you upgrade to Mac OS X 10.5.8?

Which version of iTunes is involved?

Did you use the full retail version to upgrade, or did you use a disc that came with another Mac? Since QuickTime is built into the OS, it brings into question whether the upgrade installation went properly.

Which exact iBook model is it?

You can choose from this list:

http://www.everymac.com/systems/apple/ibook/index-ibook.html

How much RAM is installed?

What is the hard drive capacity and how much space remains available on it?

To reply to a question, please Login or registered